delete from report_sql where computer = {?computer};

-- str1 = n_priveza
-- str2 = kategorija
-- str3 = ownership
-- num1 = nnlocation_id
-- num2 = income
-- num3 = potential income
-- num4 = id_privez

-- vstavimo vse priveze
insert into report_sql (computer, str1, str2, num1, num4, str3)
select {?computer}, nnprivez.n_priveza, nnprivez.kategorija, nnpomol.nnlocation_id, nnprivez.id_privez, 'M' from nnprivez
left join nnpomol on nnprivez.kategorija = nnpomol.sifra
where 1=1
?and nnprivez.objekt = {?objekt} 
?and nnprivez.kategorija = {?kategorija}
?and nnpomol.nnlocation_id = {?location_id}
;

-- income
update report_sql set num2 =
(select coalesce(SUM(i.znesek),0) FROM m_storitve_income i 
left join m_storitve s on i.id_storitve = s.id_storitve left join m_nnstomar m on s.storitev = m.sifra
WHERE i.id_privez=num4 AND i.datum BETWEEN {?from} AND {?to}
and i.id_racun_data is not null and m.berth_yield = 'Y'
?and (CASE WHEN m.contract_price = 'Y' THEN 'PO' ELSE 'TR' END) = {?vrsta}
--?and ((case when s.vrsta = (case when {?vrsta} = 'PO' then 'PO' else 'ST' end) then 1 else 0 end) = 1
--?or (case when s.vrsta = (case when {?vrsta} = 'PO' then 'PO' else 'DN' end) then 1 else 0 end) = 1)
)
where computer = {?computer};

-- potential income
update report_sql set num3 =
(select coalesce(SUM(i.znesek),0) FROM m_stor_berth_income i
WHERE i.id_privez=num4 AND i.datum BETWEEN {?from} AND {?to}
--?and ((case when s.vrsta = (case when {?vrsta} = 'PO' then 'PO' else 'ST' end) then 1 else 0 end) = 1
--?or (case when s.vrsta = (case when {?vrsta} = 'PO' then 'PO' else 'DN' end) then 1 else 0 end) = 1)
)
where computer = {?computer};

update report_sql
set str10 = 'O'
where str1 in (select n_priveza from nnprivez where id_privez in (select id_privez from berth_owner where type = 1 and status = 1 and ((date_from <= {?from} and date_to >= {?from}) or (date_from >= {?from} and date_from <= {?to}))))
and computer={?computer};

update report_sql
set str11 = 'P'
where str1 in (select n_priveza from nnprivez where id_privez in (select id_privez from berth_owner where type = 2 and status = 1 and ((date_from <= {?from} and date_to >= {?from}) or (date_from >= {?from} and date_from <= {?to}))))
and computer={?computer};

update report_sql
set str12 = 'S'
where str1 in (select n_priveza from nnprivez where id_privez in (select id_privez from berth_sublease where ((date_from <= {?from} and date_to >= {?from}) or (date_from >= {?from} and date_from <= {?to}))))
and computer={?computer};

update report_sql
set str3 = str11
where str11 is not null
and computer={?computer};

update report_sql
set str3 = str12
where str12 is not null
and computer={?computer};

update report_sql
set str3 = str10
where str10 is not null
and computer={?computer};