delete from report_sql where computer = {?computer};

-- num1 = id_storitve
-- num2 = id_lastnika
-- num3 = nnlocation_id
-- num5 = full_amount
-- num6 = popust
-- num7 = popust1
-- num8 = popust2
-- num9 = znesek
-- num10 = davek
-- date1 = datum_kreiranja
-- str1 = ime kupca
-- str2 = priimek kupca
-- str3 = n_racuna
-- str4 = user_kreiranja


-- naberemo vse storitve, ki niso stornirane in vsebujejo popuste
insert into report_sql (computer, num1, num2, num3, date1, str3, num5, num6, num7, num8, num9, num10, str4)
select {?computer}, id_storitve, id_lastnika, nnlocation_id, datum_kreiranja, n_racuna, full_amount, popust, popust1, popust2, znesek, davek,
user_kreiranja 
from m_storitve where 
popust is not null or
popust1 is not null or 
popust2 is not null;

-- odstranimo tiste, ki imajo popust = 0 ali so stornirani
delete from report_Sql where num1 in
(select id_storitve from m_storitve where (popust = 0 and popust1 = 0 and popust2 = 0)
or (popust = 0 and popust1 = 0 and popust2 is null) or (popust = 0 and popust1 is null and popust2 = 0) or (popust is null and popust1 = 0 and popust2 = 0) or (popust = 0 and popust1 is null and popust2 is null) or (popust is null and popust1 = 0 and popust2 is null) or 
(popust is null and popust1 is null and popust2 = 0) or (popust is null and popust1 is null and popust2 is null))
or str3 in ('STORNO','DELETE');
 
-- ime kupca
update report_sql set str1 = 
(select ime from kupci where id = num2)
where computer = {?computer};

-- priimek kupca
update report_sql set str2 =
(select priimek from kupci where id = num2)
where computer = {?computer};

update report_sql set str5 = 
(select p.opis from m_storitve s left join nnamenpopust p
on s.namenp = p.sifra where s.id_storitve = num1)
where computer = {?computer};

update report_sql set str6 = 
(select p.opis from m_storitve s left join nnamenpopust p
on s.namenp1 = p.sifra where s.id_storitve = num1)
where computer = {?computer};

update report_sql set str7 = 
(select p.opis from m_storitve s left join nnamenpopust p
on s.namenp2 = p.sifra where s.id_storitve = num1)
where computer = {?computer};

update report_sql set str4 =
(select user_ from nuser where nuser = str4)
where computer = {?computer};





