delete from sql_reports where computer={?Computer};

insert into sql_reports (computer, n1, n2, s1, d1) 
select {?Computer}, a.id_saldkont, a.za_placilo, a.sdk_rn_pl, {?Datum} from saldkont a where a.datum<={?Datum} and a.datum>='1/JAN/2002' and zaprto='0';

insert into sql_reports (computer, n1, n2, s1, d1) 
select distinct {?Computer}, a.id_saldkont, a.za_placilo, a.sdk_rn_pl, {?Datum} from saldkont a, saldkont_zap b, saldkont c 
where a.datum<={?Datum} and a.datum>='1/JAN/2002' and a.zaprto='1' and a.sdk_rn_pl='R' and a.za_placilo>0 and
a.id_saldkont=b.id_saldkont and b.id_pl_saldkont=c.id_saldkont and c.datum>{?Datum};

insert into sql_reports (computer, n1, n2, s1, d1) 
select distinct {?Computer}, a.id_saldkont, a.za_placilo, a.sdk_rn_pl, {?Datum} from saldkont a, saldkont_zap b, saldkont c 
where a.datum<={?Datum} and a.datum>='1/JAN/2002' and a.zaprto='1' and a.sdk_rn_pl='P' and a.za_placilo<0 and
a.id_saldkont=b.id_saldkont and b.id_pl_saldkont=c.id_saldkont and c.datum>{?Datum};

insert into sql_reports (computer, n1, n2, s1, d1) 
select distinct {?Computer}, a.id_saldkont, a.za_placilo, a.sdk_rn_pl, {?Datum} from saldkont a, saldkont_zap b, saldkont c 
where a.datum<={?Datum} and a.datum>='1/JAN/2002' and a.zaprto='1' and a.sdk_rn_pl='P' and a.za_placilo>0 and
a.id_saldkont=b.id_pl_saldkont and b.id_saldkont=c.id_saldkont and c.datum>{?Datum};

insert into sql_reports (computer, n1, n2, s1, d1) 
select distinct {?Computer}, a.id_saldkont, a.za_placilo, a.sdk_rn_pl, {?Datum} from saldkont a, saldkont_zap b, saldkont c 
where a.datum<={?Datum} and a.datum>='1/JAN/2002' and a.zaprto='1' and a.sdk_rn_pl='R' and a.za_placilo<0 and
a.id_saldkont=b.id_pl_saldkont and b.id_saldkont=c.id_saldkont and c.datum>{?Datum};

update sql_reports
set n3=(select porabljeno from saldkont where id_saldkont=n1)
where ((s1='R' and n2>0)or(s1='P' and n2<0))
and computer={?Computer};

-- zaprto kasneje kot datum reporta
update sql_reports
set n4=(select abs(Nvl(Sum(a.znesek),0)) from saldkont_zap a, saldkont b where a.id_pl_saldkont=b.id_saldkont and b.datum>{?Datum} and a.id_saldkont=n1)
where ((s1='R' and n2>0) or (s1='P' and n2<0))
and computer={?Computer};

update sql_reports
set n3=n3-n4
where ((s1='R' and n2>0)or(s1='P' and n2<0))
and computer={?Computer};

update sql_reports
set n3=(select porabljeno from saldkont where id_saldkont=n1)
where ((s1='P' and n2>0)or(s1='R' and n2<0))
and computer={?Computer};

-- zaprto kasneje kot datum reporta
update sql_reports
set n4=(select abs(Nvl(Sum(a.znesek),0)) from saldkont_zap a, saldkont b where a.id_saldkont=b.id_saldkont and b.datum>{?Datum} and a.id_pl_saldkont=n1)
where ((s1='P' and n2>0)or(s1='R' and n2<0))
and computer={?Computer};

update sql_reports
set n3=n3-n4
where ((s1='P' and n2>0)or(s1='R' and n2<0))
and computer={?Computer};

update sql_reports
set n3 = 0 where n3 is null
and computer={?Computer};

delete from sql_reports where computer={?Computer} and Round(n2,2)=Round(n3,2);

