delete from report_sql where computer = {?computer};

-- num1 = id_Saldkont (DSU knjizba  = sublease refund)
-- str1 = paid = ali je bil orginalen racun placan (person renting has paid the invoice)

insert into report_sql (computer,num1,str1) 
select {?computer},owner.id_saldkont as id_saldkont,case when owner.id_saldkont_gen is null then 'No invoice' else case when lease.zaprto = 1 then 'Yes' 
else case when lease.porabljeno between -0.01 and 0.01 then 'No' else 'Partially' end end  end as paid
from saldkont owner left join saldkont lease on owner.id_saldkont_gen = lease.id_saldkont where owner.vrsta_racuna in ('DSU','OSU');


delete from sql_reports where computer = {?computer};

-- n1 = id_lastnika
-- n2 = nnlocation_id
-- n3 = debt

insert into sql_reports (computer,n1,n2,n3)
select {?computer},vsi.id,vsi.nnlocation_id,case when dolg.debt is null then 0 else dolg.debt end as debt from
(select k.id,0 as debt,l.id as nnlocation_id from kupci k cross join nnlocation l) vsi
left join
(select k.id,sum(s.za_placilo-s.porabljeno) as debt,s.nnlocation_id  from saldkont s left join kupci k on s.id_kupca = k.id 
where s.vrsta_racuna in ('POS','RAC') and s.zaprto = 0 group by k.id,s.nnlocation_id) dolg
on vsi.id = dolg.id and vsi.nnlocation_id = dolg.nnlocation_id;