delete from report_Sql where computer = {?computer};

-- num1 = id_batch
-- num2 = st. racunov, pri katerih ima lastnik CC setup
-- num3 = stevilo CC placil
-- str1 = seznam racunov, ki je potrebno preveriti

insert into report_sql (computer,num1,num2,num3)
select {?computer},a.id_batch,a.invoices,b.payments from 
-- racuni, ki bi morali biti placani
(select b.id_batch,count(id_saldkont) as invoices from batch b left join saldkont s on b.id_batch = s.id_batch
left join kupci k on s.id_kupca = k.id
where s.sdk_rn_pl = 'R' and s.storno is null
and k.id in (select id_kupca from kupci_credit_cards where preferred = 'Y' and active = 'Y' and b.nnlocation_id = nnlocation_id)
group by b.id_batch
order by 1 desc) a left join
--placani racuni
(select b.id_batch,count(s.id_saldkont) as payments  from batch b left join saldkont s on b.id_batch = s.id_batch
left join kupci k on s.id_kupca = k.id
left join exchange e on e.id_Saldkont = s.id_saldkont
left join money m on e.id = m.id_menjave
where s.sdk_rn_pl = 'P' and s.storno is null
and m.id_cards in ('M','V','A')
group by b.id_batch
order by 1 desc) b 
on a.id_batch = b.id_batch;

update report_sql set str1 = 
(select listagg(s.n_racuna,', ') within group (order by s.id_saldkont) as invoices from batch b left join saldkont s on b.id_batch = s.id_batch
left join kupci k on s.id_kupca = k.id
where s.sdk_rn_pl = 'R' and s.storno is null
and k.id in (select id_kupca from kupci_credit_cards where preferred = 'Y' and active = 'Y' and b.nnlocation_id = nnlocation_id)
and s.zaprto = 0
and b.id_batch = num1
group by b.id_batch)
where computer = {?computer};