delete from report_sql where computer={?computer};

insert into report_sql (computer, num1, num2, num3, num4, num5, str1, str2, str3, str4, str5, str6, str7, str8, date1, num10, str10, num11)
select {?computer}, a.id, b.id, b.znesek, a.id_saldkont, b.znesek, b.id_tip_trans, b.id_cards, e.opis, d.opis, b.nvaluta, 
a.n_racuna, k.priimek, p.ime, a.datum, c.id_kupca, c.vrsta_racuna, c.nnlocation_id 
from (((((exchange a inner join money b on a.id=b.id_menjave) 
inner join saldkont c on a.id_saldkont=c.id_saldkont) 
inner join nncards d on b.id_cards=d.id_cards) 
inner join tipi_trans e on b.id_tip_trans=e.id_tip_trans) 
inner join kupci k on c.id_kupca=k.id) left outer join plovila p on c.id_plovila=p.id
where (a.datum>={?datum_od} and a.datum<={?datum_do}) 
and (a.storno is null or a.storno='')
order by b.id_tip_trans, b.id_cards, b.id_money;

insert into report_sql (computer, num1, num2, num3, num4, num5, str1, str2, str3, str4, str5, str6, str7, str8, date1, num10, str10, num11)
select {?computer}, a.id, b.id, b.znesek, a.id_saldkont, b.znesek, b.id_tip_trans, b.id_cards, e.opis, d.opis, b.nvaluta, 
c.n_racuna, k.priimek, p.ime, a.datum, c.id_kupca, c.vrsta_racuna, c.nnlocation_id
from (((((exchange a inner join money b on a.id=b.id_menjave) 
inner join saldkont c on a.id=c.id_exchange) 
inner join nncards d on b.id_cards=d.id_cards) 
inner join tipi_trans e on b.id_tip_trans=e.id_tip_trans) 
inner join kupci k on c.id_kupca=k.id) left outer join plovila p on c.id_plovila=p.id
where (a.datum>={?datum_od} and a.datum<={?datum_do}) 
and a.storno is not null and c.storno='R'
and c.vrsta_racuna in ('RAC','PLA')
order by b.id_tip_trans, b.id_cards, b.id_money;

insert into report_sql (computer, num1, num2, num3, num4, num5, str1, str2, str3, str4, str5, str6, str7, str8, date1, num10, str10, num11)
select {?computer}, a.id, b.id, b.znesek*(-1), a.id_saldkont, b.znesek*(-1), b.id_tip_trans, b.id_cards, e.opis, d.opis, b.nvaluta, 
c.n_racuna, k.priimek, p.ime, c.datum, c.id_kupca, c.vrsta_racuna, c.nnlocation_id
from (((((exchange a inner join money b on a.id=b.id_menjave) 
inner join saldkont c on a.id=c.id_exchange) 
inner join nncards d on b.id_cards=d.id_cards) 
inner join tipi_trans e on b.id_tip_trans=e.id_tip_trans) 
inner join kupci k on c.id_kupca=k.id) left outer join plovila p on c.id_plovila=p.id
where (c.datum>={?datum_od} and c.datum<={?datum_do}) 
and c.storno='S' and  c.za_placilo>0
and c.vrsta_racuna in ('RAC','PLA')
order by b.id_tip_trans, b.id_cards, b.id_money;


insert into report_sql (computer, num1, num2, num3, num4, num5, str1, str2, str3, str4, str5, str6, str7, str8, date1, num10, str10, num11)
select {?computer}, a.id, b.id, b.znesek, a.id_saldkont, b.znesek, b.id_tip_trans, b.id_cards, e.opis, d.opis, b.nvaluta, 
c.n_racuna, k.priimek, p.ime, c.datum, c.id_kupca, c.vrsta_racuna, c.nnlocation_id
from (((((exchange a inner join money b on a.id=b.id_menjave) 
inner join saldkont c on a.id=c.id_exchange) 
inner join nncards d on b.id_cards=d.id_cards) 
inner join tipi_trans e on b.id_tip_trans=e.id_tip_trans) 
inner join kupci k on c.id_kupca=k.id) left outer join plovila p on c.id_plovila=p.id
where (c.datum>={?datum_od} and c.datum<={?datum_do}) 
and c.storno='S' and  c.za_placilo<0
and c.vrsta_racuna in ('RAC','PLA')
order by b.id_tip_trans, b.id_cards, b.id_money;

insert into report_sql (computer, num1, num3, num4, num5, str1, str4, str6, str7, str8, str9, date1, num10, str10, num11)
select {?computer}, a.id_saldkont, a.znesek, a.id_saldkont, a.znesek, a.vrsta_racuna, n.slo, a.n_racuna, 
k.priimek, p.ime, c.n_racuna, a.datum, a.id_kupca, a.vrsta_racuna, a.nnlocation_id
from ((((saldkont a left outer join saldkont_zap b on a.id_saldkont=b.id_pl_saldkont) 
left outer join saldkont c on b.id_saldkont=c.id_saldkont) 
left outer join kupci k on a.id_kupca=k.id)
left outer join nknjizba n on a.vrsta_racuna=n.saldkont)
left outer join plovila p on c.id_plovila=p.id
where (a.datum>={?datum_od} and a.datum<={?datum_do})
and a.vrsta_racuna not in ('OTV','AKA','AKB','AKC','AKS','DP') and (a.storno is null or a.storno='')
and a.id_exchange is null and a.sdk_rn_tip='I' 
and a.sdk_rn_pl='P'
order by a.id_saldkont;

insert into report_sql (computer, num1, num3, num4, num5, str1, str4, str6, str7, str9, date1, num10, str10, num11)
select {?computer}, a.id_saldkont, a.znesek, a.id_saldkont, a.znesek, a.vrsta_racuna, n.slo,
a.n_racuna, k.priimek, 'Storno', a.datum, a.id_kupca, a.vrsta_racuna, a.nnlocation_id
from saldkont a, kupci k, nknjizba n 
where a.datum>={?datum_od} and a.datum<={?datum_do} and a.vrsta_racuna=n.saldkont
and a.vrsta_racuna not in ('OTV','AKA','AKB','AKC','AKS','DP') and a.id_kupca=k.id and storno is not null
and a.id_exchange is null and a.sdk_rn_tip='I'
and a.sdk_rn_pl='P'
order by a.id_saldkont;

update report_sql set str1 = 'CK' where computer = {?computer} and str1='INK' and str2 = 'CHK';

update report_sql set str11 = 
(select opis from nnlocation where id = num11)
where computer = {?computer};