delete from report_sql WHERE COMPUTER={?Computer};


-- num1  = id kupca
-- num2  = group balance
-- str1  = setup
-- num3  = deposits

-- 
INSERT INTO report_sql (computer, num1, num2)
(SELECT {?Computer}, kupci.id, SUM(v_kupci_balance.SALDAKONTI_SIT) from kupci left outer join v_kupci_balance on kupci.id = v_kupci_balance.kupci_id group by kupci.id);



UPDATE REPORT_SQL
SET STR1 = (SELECT CASE WHEN (ID IN (SELECT ID_KUPCA FROM KUPCI_CREDIT_CARDS WHERE PREFERRED = 'Y' AND ACTIVE = 'Y') AND ID IN 
(SELECT ID_LASTNIKA FROM RACUNI_KUPCEV WHERE DIRECT_DEBIT = 'Y' AND PREFERRED = 'Y' AND DIRECT_DEBIT_AUTH = 'Y') ) THEN 'CCA' || '&' || 'DD'
WHEN id IN (SELECT ID_KUPCA FROM KUPCI_CREDIT_CARDS WHERE PREFERRED = 'Y' AND ACTIVE = 'Y') THEN 'CCA'
WHEN id IN (SELECT ID_LASTNIKA FROM RACUNI_KUPCEV WHERE DIRECT_DEBIT = 'Y' AND PREFERRED = 'Y' AND DIRECT_DEBIT_AUTH = 'Y') THEN 'DD'
ELSE ' ' END FROM kupci WHERE ID = NUM1)
WHERE COMPUTER={?Computer};

UPDATE REPORT_SQL
SET NUM3 = (SELECT SUM(ZA_PLACILO-PORABLJENO) FROM SALDKONT WHERE VRSTA_RACUNA IN ('DP','AKC','AKB','AKA') AND ID_KUPCA = NUM1)
WHERE COMPUTER={?Computer};



