select k.id "HID_OWNER", max(k.ime) "Name",max(k.priimek) "Surname",max(k.email) "Email",max(k.state) "State",max(case when l1.opis is null then l2.opis else l1.opis end) "Marina",
max(v.opis) "Member Type" 
from kupci k left join plovila p on k.id = p.id_lastnika
left join privezi pr on p.id = pr.id_plovila
left join nnvrskup v on k.vrsta = v.sifra
left join enquiry e on e.id_kupca = k.id
left join nnprivez pri on pr.id_privez = pri.id_privez
left join nnpomol po on pri.kategorija = po.sifra
left join nnlocation l1 on po.nnlocation_id = l1.id
left join nnlocation l2 on e.boat_location_id = l2.id
where k.act = 'Y'
group by k.id;