select HID_OWNER,max("HRI Code") "HRI Code",max("Active") "Active",max("First Name") "First Name" ,max("Last Name") "Last Name",max("Email") "Email", max("Mobile Number") "Mobile Number",max("Marina") "Marina",
max("Boat Name") "Boat Name",max("Type") "Type" from (
select distinct k.id "HID_OWNER",k.int_code "HRI Code",k.act "Active", k.ime "First Name", k.priimek "Last Name",k.email "Email",k.telex "Mobile Number",l.opis "Marina",p.ime "Boat Name",t.opis "Type"
from privezi pr
left join nnprivez pri on pr.id_privez = pri.id_privez
left join plovila p on pr.id_plovila = p.id
left join kupci k on p.id_lastnika = k.id
left join nnpomol po on pri.kategorija = po.sifra
left join nnlocation l on po.nnlocation_id = l.id
left join nnvrskup t on k.vrsta = t.sifra
where l.opis is not null
?and l.sifra = {?LOCATION CODE|STRING}
union
select distinct k.id "HID_OWNER",k.int_code "HRI Code",k.act "Active",k.ime "First Name", k.priimek "Last Name",k.email "Email",k.telex "Mobile Number",l.opis "Marina",p.ime "Boat Name",t.opis "Type" from enquiry e
left join kupci k on e.id_kupca = k.id
left join nnlocation l on e.boat_location_id = l.id
left join plovila p on k.id = p.id_lastnika
left join nnvrskup t on k.vrsta = t.sifra
where t.opis = 'Lead'
?and l.sifra = {?LOCATION CODE|STRING}
union
select distinct k.id "HID_OWNER",k.int_code "HRI Code",k.act "Active",k.ime "First Name", k.priimek "Last Name",k.email "Email",k.telex "Mobile Number",l.opis "Marina",p.ime "Boat Name",t.opis "Type" from dogodki d
left join plovila p on d.id_plovila = p.id
left join kupci k on p.id_lastnika = k.id
left join nnprivez pri on d.id_privez = pri.id_privez
left join nnvrskup t on k.vrsta = t.sifra
left join nnpomol po on pri.kategorija = po.sifra
left join nnlocation l on po.nnlocation_id = l.id
where d.kategorija_dogodka = 'OD'
and l.opis is not null
?and l.sifra = {?LOCATION CODE|STRING}
)
group by "HID_OWNER"
;
