delete from report_sql WHERE COMPUTER={?Computer};
-- str1  = n_priveza
-- str2  = ime plovila
-- str3  = pogodbena n_priveza
-- str4  = tip plovila
-- str5  = oznaka drave
-- str6  = reg. t.
-- num1  = sort
-- str7  = pomol (kategorija)
-- str8  = trenutna n_priveza
-- date1 = trenutno_do
-- num2  = limit priveza
-- num3  = id_privez
-- str9  = objekt
-- num4  = id_plovila
-- num10 = id_lastnika
-- str10 = ime lastnika
-- str11 = priimek lastnika
-- str12 = telefon
-- str13 = vehicle_registration_num
-- str14 = kontaktna oseba 1
-- str15 = kontaktna oseba 2
-- num5  = liveaboard
-- str16 = mobilni telefon (telex)
-- num6 = nnlocation_id
--
insert into report_sql(computer,str1,str2,str3,str4,str5,str6,num1,str7,str8,date1,num2,num3,str9,num4,num10,str17)
select {?Computer}, NNPRIVEZ.N_PRIVEZA, PLOVILA.IME, PLOVILA.POGODBENA_N_PRIVEZA, PLOVILA.NTIP, 
       NNDRZAVE.OZNAKA, PLOVILA.REGISTRSKA_N, NNPRIVEZ.SORT, NNPRIVEZ.KATEGORIJA,
       PLOVILA.TRENUTNA_N_PRIVEZA, PLOVILA.TRENUTNO_DO, NNPRIVEZ.LIMIT, NNPRIVEZ.ID_PRIVEZ, 
       NNPRIVEZ.OBJEKT, PLOVILA.ID, PLOVILA.ID_LASTNIKA, NNPRIVEZ.OBJEKT
from privezi
left outer join nnprivez on (privezi.id_privez=nnprivez.id_privez)
left outer join plovila on privezi.id_plovila=plovila.id
left outer join nndrzave on plovila.nzastava=nndrzave.sifra
where privezi.id_pogodbe is null
union all
select {?Computer},nnprivez.n_priveza,null as ime,null as pogodbena_n_priveza,null as ntip,null as oznaka,
       null as registrska_n,nnprivez.sort,nnprivez.kategorija,null as trenutna_n_priveza,
       null as trenutno_do, nnprivez.limit, nnprivez.id_privez, nnprivez.objekt, null, null, null
from nnprivez
where nnprivez.id_privez not in (select id_privez from privezi where id_pogodbe is null)
;

update report_sql
set (str10, str11, str12, str13, str14, str15, str16)=(select ime, priimek, telefon_1, vehicle_registration_num, kontaktna_oseba, kontaktna_oseba_tujina, telex from kupci where id=num10)
where computer={?Computer};

update report_sql
set (num5) = (select count(id) from liveaboard where id_plovila=num4 and (sysdate between date_From and date_to or (sysdate >=date_from and date_to is null)))
where computer={?Computer};

update report_sql
set (num6) = (SELECT NNLOCATION_ID FROM NNPOMOL WHERE SIFRA = (SELECT KATEGORIJA FROM NNPRIVEZ WHERE N_PRIVEZA = STR1))
where computer={?computer};