select kupci.id HID_OWNER, kupci.int_code as  "HRI Code", kupci.ime as "First name", kupci.priimek as "Last name", email as "Email", case when kupci.id < 40000 then 'Old' else 'New'  end as "Old/New",
nnvrskup.opis as "Type", plovila.ime as "Boat name", case when trenutna_n_priveza is not null and trenutna_n_priveza <> 'EXIT' then nnlocation_1.opis when trenutna_n_priveza = 'EXIT' then a.opis
else nnlocation_2.opis end as "Marina"
from kupci left join nnvrskup on kupci.vrsta = nnvrskup.sifra
left join plovila on kupci.id = plovila.id_lastnika
left join nnprivez on plovila.trenutna_n_priveza = nnprivez.n_priveza
left join nnpomol on nnprivez.kategorija = nnpomol.sifra
left join nnlocation nnlocation_1 on nnpomol.nnlocation_id = nnlocation_1.id
left join enquiry on kupci.id = enquiry.id_kupca
left join nnlocation nnlocation_2 on enquiry.boat_location_id = nnlocation_2.id
left join (select b.id_plovila,nnlocation.opis from (select max(n_priveza) n_priveza,id_plovila from dogodki where 
id_plovila in (select id from plovila where trenutna_n_priveza = 'EXIT') group by id_plovila) b left join nnprivez on b.n_priveza = nnprivez.n_priveza
left join nnpomol on nnprivez.kategorija = nnpomol.sifra
left join nnlocation on nnpomol.nnlocation_id = nnlocation.id) a on plovila.id = a.id_plovila;