delete from report_sql WHERE COMPUTER={?Computer};
-- str1  = n_priveza
-- str2  = ime plovila
-- num1  = sort
-- str7  = pomol (kategorija)
-- num2  = limit priveza
-- num3  = id_privez
-- str9  = objekt
-- num4  = id_plovila
-- num5  = Income,
-- num10 = nnprivez.sort_prikaz
-- num11 = nnlocation_id

--
insert into report_sql(computer,str1,str2,num1,str7,num2,num3,str9,num4,num5,num10)
SELECT {?Computer}, nnprivez.n_priveza, plovila.ime, nnprivez.sort, nnprivez.kategorija,
nnprivez.limit, nnprivez.id_privez, nnprivez.objekt, plovila.id,
(SELECT nvl((round(SUM(bruto),2)),0) 
FROM m_storitve_income 
WHERE id_privez=nnprivez.id_privez 
AND id_racun_data IS NOT NULL
AND datum BETWEEN {?datum_od} AND {?datum_do}),
nnprivez.sort_prikaz
FROM   nnprivez 
LEFT OUTER JOIN privezi ON (nnprivez.id_privez=privezi.id_privez AND privezi.id_pogodbe IS NULL)
LEFT OUTER JOIN plovila ON (privezi.id_plovila = plovila.id)
ORDER BY nnprivez.kategorija, nnprivez.sort_prikaz
;

update report_sql 
set num11 = (select nnlocation_id from nnpomol where sifra = str7)
WHERE COMPUTER={?Computer};

