delete from report_sql
where computer={?COMPUTER};

--entrance fee plan
insert into report_sql
(COMPUTER, num1, date1, str2, num2, str1, num3)
select {?COMPUTER}, pog.id_lastnika, PLAN.SERVICE_DATE, plan.amount_type,
case when  plan.amount_type='P' then plan.service_amount*vz.skupaj/100 else plan.service_amount end,
'PLAN', plan.id_vps from m_pogodbe pog
join m_vzorci_ps vz on vz.id_pogodbe=pog.id_pogodbe
join m_vzorci_invoice plan on plan.id_vps=vz.id_vps
where vz.storitev='EF'
and vz.auto_create_method='C'
and vz.storno is null
and pog.status='O'
and plan.service_date>={?date}
;

--vzorec
insert into report_sql
(COMPUTER, num1, date1, num2, str1, num3)
select {?COMPUTER}, pog.id_lastnika, vz.datum_zacetka, vz.skupaj, 'VZOREC', vz.id_vps from m_pogodbe pog
join m_vzorci_ps vz on vz.id_pogodbe=pog.id_pogodbe
where vz.storitev in ('EF', 'EF1', 'EF2', 'EF3')
and vz.auto_create_method<>'C'
and vz.storno is null
and pog.status='O'
and vz.datum_zacetka>={?date}
;

--storitev
insert into report_sql
(COMPUTER, num1, date1, num2, str1, num3)
select {?COMPUTER}, id_lastnika, datum_od, znesek, 'STORITEV', id_storitve from 
m_storitve 
where storitev in ('EF', 'EF1', 'EF2', 'EF3')
and vrsta='ST'
and (n_racuna<>'STORNO' or n_racuna is null)
and datum_od>={?date}
;