delete from report_sql WHERE COMPUTER={?Computer};
-- num1  = znesek
-- str1  = n_racuna
-- str2  = storitev
-- num2  = kolicina
-- num3  = popust
-- num4  = davek
-- num5  = id_storitve
-- date1 = datum_kreiranja
-- date2 = datum_od
-- date3 = datum_kreiranja brez ure
-- num6  = id_lastnika


INSERT INTO report_sql (computer, num1, str1, str2, num2, num3, num4, num5, date1, date2, date3, num6)
SELECT {?Computer}, 
znesek, n_racuna, storitev, kolicina, popust, davek, id_storitve, service_time, datum_od, trunc(service_time), id_lastnika
FROM m_storitve
? WHERE trunc(service_time) >= {?Datum_od}
? AND trunc(service_time) <= {?Datum_do}
;