delete from report_sql where computer={?Computer};

insert into report_sql (Computer, num1, num2, str1, str2, str3, date1, str4, str5, str6)
select {?Computer}, p.id, k.id, p.ime, k.ime, k.priimek, p.datum_zavarovanje, k.telefon_1, k.email, nvl(pogodbena_n_priveza, 'Transit')
from plovila p, kupci k
where p.id_lastnika=k.id;

update report_sql
set str6='Transient' where str6<>'Contract' and computer={?Computer};

update report_sql
set num3= (select max(id_plovila) from privezi where id_plovila=num1 and computer={?Computer})
where computer={?Computer};

update report_sql
set str7='P' where num3 is not null
and computer={?Computer};

update report_sql
set str7='T' where num3 is null
and computer={?Computer};

update report_sql
set num3=(select max(plovila.id)
from privezi
left outer join nnprivez on (privezi.id_privez=nnprivez.id_privez)
left outer join plovila on privezi.id_plovila=plovila.id
where privezi.id_pogodbe is null and id=num1 and computer={?Computer})
where computer={?Computer}
;

update report_sql
set str8= 'P' where num3 is not null
and computer={?Computer};


update report_sql
set str8= 'A' where num3 is null
and computer={?Computer};