SELECT KUPCI.ID HID_OWNER, KUPCI.IME "Name", KUPCI.PRIIMEK "Surname", KUPCI_CREDIT_CARDS.CARD_NUMBER "Credit Card", 
CASE KUPCI_CREDIT_CARDS.NNLOCATION_ID 
WHEN 1 THEN 'Ruschcutters Bay'
WHEN 2 THEN 'Akuna Bay'
WHEN 3 THEN 'Cabarita Point'
WHEN 4 THEN 'Nelson Bay'
WHEN 5 THEN 'Pier 35'
WHEN 6 THEN 'The Spit'
WHEN 7 THEN 'Victoria Harbour'
WHEN 8 THEN 'Martha Cove'
WHEN 9 THEN 'Port of Airlie'
WHEN 10 THEN 'Horizon Shores'
ELSE 'N/A' END
as "Marina Location", 
KUPCI_CREDIT_CARDS.PREFERRED "Preferred", 
KUPCI_CREDIT_CARDS.TEMPORARY  "Temporary", KUPCI_CREDIT_CARDS.ACTIVE "Active", SUM(V_KUPCI_BALANCE.SALDAKONTI_SIT) "Group balance"
FROM KUPCI 
JOIN KUPCI_CREDIT_CARDS ON KUPCI.ID=KUPCI_CREDIT_CARDS.ID_KUPCA
JOIN V_KUPCI_BALANCE ON V_KUPCI_BALANCE.KUPCI_ID = KUPCI.ID
GROUP BY KUPCI.ID, KUPCI.IME, KUPCI.PRIIMEK, KUPCI_CREDIT_CARDS.CARD_NUMBER, KUPCI_CREDIT_CARDS.NNLOCATION_ID, KUPCI_CREDIT_CARDS.PREFERRED, KUPCI_CREDIT_CARDS.TEMPORARY, KUPCI_CREDIT_CARDS.ACTIVE
;