select kupci.id HID_OWNER, kupci.priimek SURNAME, kupci.ime NAME, plovila.ime VESSEL, m_nnstomar.opis SERVICE, nnlocation.opis MARINA  from kupci

left outer join m_storitve on kupci.id = m_storitve.id_lastnika
join m_nnstomar on m_storitve.storitev = m_nnstomar.sifra
left outer join plovila on m_storitve.id_plovila = plovila.id
join nnlocation on m_storitve.nnlocation_id = nnlocation.id

--pogodbeni lastniki
where kupci.id in (select distinct id_lastnika from m_pogodbe where status in ('O','P'))

--lastniki, ki imajo storitve zaracunane izven pogodb
and kupci.id in ((select distinct id_lastnika from m_storitve where vrsta <> 'PO' and n_racuna <> 'STORNO' and n_racuna is not null and storitev in (select distinct storitev from m_vzorci_ps)))

--storitve, ki so izven pogodb
and m_storitve.vrsta <> 'PO' and m_storitve.n_racuna <> 'STORNO' and m_storitve.n_racuna is not null

order by kupci.priimek, kupci.ime, plovila.ime, m_nnstomar.opis, nnlocation.opis;