SELECT PLOVILA.ID AS HID_YACHT, 
NVL2(L.ID_PLOVILA, 'Liveaboard', ' ') Liveaboard,
 case COUNT(V.ID_POGODBE) 
  WHEN 0 THEN ' '
  else 'LiveAboardCharged'
 end LiveAboardCharged,
PLOVILA.IME "Boat", 
 K.ID "ID_CUSTOMER", K.IME ||' '||K.PRIIMEK "CustomerLongName",  
 PLOVILA.DOLZINA "BoatLength",
 ' '||G.DATUM_ZACETKA as ContractStartDate, 
 ' '||G.DATUM_KONCA as ContractEndDate, 
G.KOMENTAR as ContractComment
  FROM PLOVILA PLOVILA 
 INNER JOIN M_POGODBE G ON G.ID_PLOVILA=PLOVILA.ID AND G.STATUS='O'
 INNER JOIN KUPCI K ON K.ID=G.ID_LASTNIKA
 left JOIN M_VZORCI_PS V ON V.ID_POGODBE=G.ID_POGODBE AND V.STORITEV='LA' AND V.ACTIVE='Y' AND V.ID_POGODBE IS NOT NULL
 LEFT JOIN LIVEABOARD L ON L.ID_PLOVILA=PLOVILA.ID AND CURRENT_DATE BETWEEN DATE_FROM AND DATE_TO
 GROUP BY PLOVILA.ID, PLOVILA.IME, PLOVILA.DOLZINA, K.ID, K.IME, K.PRIIMEK, L.ID_PLOVILA, G.DATUM_ZACETKA, G.DATUM_KONCA, G.KOMENTAR
 HAVING COUNT(v.ID_POGODBE)>0 OR L.ID_PLOVILA IS NOT NULL
 order by LiveAboardCharged, Liveaboard;