delete from report_sql where computer = {?computer};

-- num1 = id_storitve
-- num2 = znesek
-- num3 = nnlocation_id
-- str3 = kat storitve
-- str4 = sifra sklopa
-- str1 = storitev
-- str5 = location
-- str6 = kategorija
-- num4 = id_storitve_income
-- num5 = rack casual rate
-- str7 = timekat
-- num6 = sort kategorije

insert into report_sql (computer,str1,num1,num2,str3,str4,num3,num4,str7)
select {?computer},s.storitev,s.id_storitve,coalesce(i.znesek,0),s.kat,m.kat,s.nnlocation_id,i.id_storitve_income,m.timekat 
from m_storitve_income i left join m_storitve s on i.id_storitve = s.id_storitve
left join m_nnstomar m on s.storitev = m.sifra
where i.datum >= {?datum_od} and i.datum <= {?datum_do} 
--and m.berth_yield = 'Y' 
and i.id_racun_data is not null and i.id_privez is not null
and s.n_racuna <> 'STORNO'
and s.storitev in (select sifra from m_nnstomar where filter=22 AND akt='Y' AND kat IS NOT NULL AND opis not like '%Annual%' AND sifra <> 'DVT' AND sifra <> 'MH');

update report_sql set str5 =
(select opis from nnlocation where id = num3)
where computer = {?computer};

update report_sql set str6 =
(select opis from m_nnkateg where sifra_sklopa = str4 and sifra = str3)
where computer = {?computer};

update report_sql set num5 = 
(select max(c.neto_domaca_valuta) from m_nncenmar c left join m_nnstomar m on c.storitev = m.sifra where c.storitev in ('DUDAKB','DUDCAP','DUDNEB','DUDSPT','DUDHSM','DUDVHA','DUDRUB','DUDP35', 'DUDBMC') and m.nnlocation_id = num3 and c.kat = str3)
where computer = {?computer};

update report_sql set num6 = 
(select sort from m_nnkateg where sifra_sklopa = str4 and sifra = str3)
where computer = {?computer};
