delete from report_sql where computer = {?computer};

-- num1 = id vzorca
-- num2 = id plovila
-- num3 = id_storitve zadnje storitve
-- date1 = received date
-- date2 = billing rule invoiced up to date
-- dater3 = departured date
-- str1 = last invoice number
-- str2 = pomol

insert into report_sql (computer,num1,num2,str2)
select {?computer},v.id_vps,p.id_plovila,pr.kategorija from m_vzorci_ps v
left join m_pogodbe p on v.id_pogodbe = p.id_pogodbe
left join nnprivez pr on p.n_priveza = pr.n_priveza
where 1 = 1
?and p.nnlocation_id ={?location_id}
?and p.objekt = {?objekt}
?and p.status = {?status}
?and v.active = {?active}
?and pr.kategorija = {?pomol}
;

-- za vsako plovilo pogledamo zadnji sprejem

update report_sql set date1 = 
(select max(datum_zacetka) from dogodki where kategorija_dogodka = 'SP' and id_plovila = num2)
where computer = {?computer}; 


-- za vsak vzorec poiscemo dan, do kdaj je bil obracunan

update report_sql set date2 = 
(select max(datum_do) from m_storitve where id_vps = num1 and (n_racuna is null or n_racuna <> 'STORNO')),
num3 = 
(select max(id_storitve) from m_storitve where id_vps = num1 and (n_racuna is null or n_racuna <> 'STORNO'))
where computer = {?computer};

update report_sql set str1 =
(select n_racuna from m_storitve where id_storitve = num3)
where computer = {?computer};

-- za vsako plovilo poiscemo se zadnji odhod
update report_sql set date3 = 
(select max(datum_zacetka) from dogodki where kategorija_dogodka = 'OD' and id_plovila = num2)
where computer = {?computer}; 