delete from report_sql where computer = {?computer};

-- num1 = id_privez
-- num2 = dolzina priveza
-- num3 = sirina priveza
-- num4 = globina priveza
-- num5 = nnlocation_id
-- num6 = indikator zasedenosti v tem obdobju
-- num7 = indikator pogodbe na tem privezu
-- str1 = n_priveza




-- insertiramo vse priveze

insert into report_sql (computer,num1,num2,num3,num4,num5,str1)
select {?computer},p.id_privez,p.dolzina,p.sirina,p.globina,po.nnlocation_id,p.n_priveza
from nnprivez p left join nnpomol po on p.kategorija = po.sifra
? where po.nnlocation_id = {?location}
? and p.objekt = {?objekt}
? and p.kategorija = {?kategorija}
;

-- pogledamo ali je privez v izbranem obdobju zaseden

update report_sql set num6 = 
case when num1 in  

(select rd_id_privez from v_rezervac where rd_status_rezervac in 
(-10,0,1,2,3,4) and 

-- se zacne v tem obdobju
((rd_date_from between {?from} and {?to}) or
-- se konca v tem obdobju
(rd_date_to between {?from} and {?to}) or
-- se zacne pred tem obdobjem in konca po temu obdobju
(rd_date_from <= {?from} and rd_date_to >= {?to})
))

then 1 else 0 end
where computer = {?computer}
;

-- pogledamo ali je ta privez v izbranem obdobju pogodbeni
update report_sql set num7 =
case when num1 in

(select b.id_privez from contract_berth b left join m_pogodbe p on
b.id_pogodbe = p.id_pogodbe where p.status = 'O' and 

-- se zacne v tem obdobju
((p.datum_zacetka between {?from} and {?to}) or
-- se konca v tem obdobju
(p.datum_konca between {?from} and {?to}) or
-- se zacne pred tem obdobjem in konca po temu obdobju
(p.datum_zacetka <= {?from} and p.datum_konca >= {?to}) 
))

then 1 else 0 end
where computer = {?computer}
;