/*********************************************
Author: NaceK DashSymons
Description: script calculates
list of payments closing each of the invoices
*********************************************/

DELETE FROM REPORT_SQL WHERE COMPUTER = {?COMPUTER};

INSERT INTO REPORT_SQL (COMPUTER, NUM1, STR1)
SELECT 
    {?COMPUTER}
    ,INV.ID_SALDKONT 
    ,LISTAGG(PAY.N_RACUNA,', ') WITHIN GROUP (ORDER BY PAY.N_RACUNA) 
FROM SALDKONT INV
LEFT JOIN SALDKONT_ZAP ZAP
    ON INV.ID_SALDKONT = ZAP.ID_SALDKONT
LEFT JOIN SALDKONT PAY
    ON PAY.ID_SALDKONT = ZAP.ID_PL_SALDKONT
GROUP BY INV.ID_SALDKONT;