delete from report_sql where computer = {?computer};

-- num1 = id saldkont
-- str1 = storitve na tem racunu
-- str2 = privezi storitev na tem raunu

insert into report_sql (computer,num1,str1,str2)
select {?computer}, s.id_saldkont, 
       substr(listagg(f.opis, ', ') within group (order by s.id_saldkont),1,100),
       listagg(p.n_priveza, ', ') within group (order by s.id_saldkont)
from saldkont s 
left join racun_data d on s.id_saldkont = d.id_saldkont 
left join m_storitve s on d.id_Storitve = s.id_storitve 
left join m_nnstomar f on s.storitev = f.sifra
left join nnprivez p on s.id_privez=p.id_privez
group by s.id_saldkont;