SELECT K.ID "HID_OWNER", LO.OPIS "Marina",O.OPIS "Area",PR.N_PRIVEZA "Berth", PL.IME "Vessel", PL.DOLZINA "Length", CASE WHEN K.IME IS NULL THEN K.PRIIMEK ELSE K.IME || ' ' || K.PRIIMEK END "Member",
VR.OPIS "Type",to_char(K.START_YC_MEMBERSHIP,'dd/MM/yyyy') "Memb. start date" FROM PRIVEZI P 
LEFT JOIN NNPRIVEZ PR ON P.ID_PRIVEZ = PR.ID_PRIVEZ 
LEFT JOIN PLOVILA PL ON P.ID_PLOVILA = PL.ID
LEFT JOIN KUPCI K ON PL.ID_LASTNIKA = K.ID
LEFT JOIN NNPOMOL PO ON PR.KATEGORIJA = PO.SIFRA
LEFT JOIN NNLOCATION LO ON PO.NNLOCATION_ID = LO.ID
LEFT JOIN NNVRSKUP VR ON K.VRSTA =VR.SIFRA
LEFT JOIN NNOBJEKT O ON PR.OBJEKT  = O.SIFRA
WHERE PL.ID IS NOT NULL
ORDER BY LO.ID, PO.SIFRA,PR.N_PRIVEZA;