delete from report_sql WHERE COMPUTER={?Computer};
-- date1 = day
-- num1  = Boat length
-- str2  = Boat Name
-- num2  = Lay days
-- num3  = 1 (tevilo plovil)
-- str3  = A/B (A=tekoe leto / B=preteklo leto)

INSERT INTO report_sql (computer, date1, num1, str2, num2, num3, str3)
SELECT {?Computer},
       dogodki.datum_zacetka, 
       round(plovila.dolzina), 
       plovila.ime,
       nvl((SELECT dog2.datum_zacetka FROM dogodki dog2 WHERE dog2.id=(SELECT min(dog1.id) FROM dogodki dog1 WHERE dog1.id_plovila=dogodki.id_plovila AND dog1.id > dogodki.id AND dog1.kategorija_dogodka in ('PR', 'OD', 'IZ'))), trunc(sysdate)) - dogodki.datum_zacetka,
1,'A'
FROM dogodki
LEFT OUTER JOIN plovila ON dogodki.id_plovila=plovila.id
WHERE dogodki.n_priveza in (SELECT n_priveza FROM nnprivez WHERE objekt='LAND')
AND dogodki.kategorija_dogodka IN ('PR', 'SP', 'VR')
AND trunc(dogodki.datum_zacetka) BETWEEN {?Datum_od} AND {?Datum_do};

INSERT INTO report_sql (computer, date1, num1, str2, num2, num3, str3)
SELECT {?Computer},
       dogodki.datum_zacetka, 
       round(plovila.dolzina), 
       plovila.ime,
       (SELECT dog2.datum_zacetka FROM dogodki dog2 WHERE dog2.id=(SELECT min(dog1.id) FROM dogodki dog1 WHERE dog1.id_plovila=dogodki.id_plovila AND dog1.id > dogodki.id AND dog1.kategorija_dogodka in ('PR', 'OD', 'IZ'))) - dogodki.datum_zacetka,
1,'B'
FROM dogodki
LEFT OUTER JOIN plovila ON dogodki.id_plovila=plovila.id
WHERE dogodki.n_priveza in (SELECT n_priveza FROM nnprivez WHERE objekt='LAND')
AND dogodki.kategorija_dogodka IN ('PR', 'SP', 'VR')
AND trunc(dogodki.datum_zacetka) BETWEEN add_months({?Datum_od}, -12) 
                                     AND add_months({?Datum_do}, -12);