SELECT  
 KUPCI.IME AS FIRST_NAME,
 KUPCI.PRIIMEK AS LAST_NAME, 
 PLOVILA.IME as VESSEL_NAME,
 PLOVILA.TRENUTNA_N_PRIVEZA AS CURRENT_BERTH,
 PLOVILA.POGODBENA_N_PRIVEZA AS CONTRACT_BERTH,
 M_POGODBE.DATUM_ZACETKA as CONTRACT_START_DATE, 
 M_POGODBE.DATUM_KONCA as CONTRACT_END_DATE, 
 M_NNSTOMAR.OPIS AS BILLING_RULE_SERVICE,
ROUND(M_VZORCI_PS.SKUPAJ,2) as BILLING_RULE_$_VALUE,
CASE M_VZORCI_PS.AUTO WHEN 'D' THEN 'Yes' ELSE 'No' END AS AUTO_PRICE,
 CASE M_VZORCI_PS.AUTO_CREATE_METHOD 
 WHEN 'M' THEN 'Monthly'
WHEN 'H' THEN 'Half Yearly'
WHEN 'Q' THEN 'Quarterly'
WHEN 'Y' THEN 'Yearly'
WHEN 'C' THEN 'Custom'
WHEN 'F' THEN 'No Automatic Invoicing'
else 'Default' END
 as PAYMENT_METHOD, 
 PLOVILA.ID AS HID_YACHT
 FROM   (((M_POGODBE M_POGODBE INNER JOIN M_VZORCI_PS M_VZORCI_PS ON M_POGODBE.ID_POGODBE=M_VZORCI_PS.ID_POGODBE) INNER JOIN KUPCI KUPCI ON M_POGODBE.ID_LASTNIKA=KUPCI.ID) INNER JOIN PLOVILA PLOVILA ON M_POGODBE.ID_PLOVILA=PLOVILA.ID) LEFT OUTER JOIN M_NNSTOMAR M_NNSTOMAR ON M_VZORCI_PS.STORITEV=M_NNSTOMAR.SIFRA
 WHERE M_POGODBE.STATUS IN ('O','A') ORDER BY KUPCI.IME, KUPCI.PRIIMEK, PLOVILA.IME
;