select 
KUPCI.ime || ' ' || priimek as Co_LastName,
KUPCI.int_code as HRI_CODE,
KUPCI.naslov || ', ' || KUPCI.posta || ', ' || KUPCI.mesto || ', ' || KUPCI.state as Address,
KUPCI.telex as MobilePhone,
KUPCI.telefon_1 as Telephone,
KUPCI.telefon_2 as Telephone2,
KUPCI.email as Email,
KUPCI.kontaktna_oseba as Emergency_Contact,
KUPCI.kontaktna_oseba_tujina as Emergency_Contact_2,
RACUNI_KUPCEV.BANKA as Bank,
RACUNI_KUPCEV.ST_RACUNA as Bank_Accopunt_No,
RACUNI_KUPCEV.OPIS as Description,
KUPCI.DAVCNA_STEVILKA as ABN,
ACTIVITIES_MAIL.SUBSCRIBE as Mailing_List
FROM   (KUPCI
 LEFT OUTER JOIN ACTIVITIES_MAIL  ON KUPCI.ID=ACTIVITIES_MAIL.ID)
 LEFT OUTER JOIN RACUNI_KUPCEV ON KUPCI.ID=RACUNI_KUPCEV.ID_LASTNIKA  and RACUNI_KUPCEV.PREFERRED='Y'
where
(trunc(KUPCI.DATUM_KREIRANJA)>={?FromDate|DATE} or trunc(KUPCI.DATUM_SPREMEMBE)>={?FromDate|DATE} ); 
