SELECT 
S.ID_BATCH, 
K.ID AS ID_KUPCA,
K.INT_CODE AS HRICode,
K.PRIIMEK AS Surname,
K.IME AS NAME,
K.LONG_NAME AS LongName,
RD.N_RACUNA AS NoInvoice, 
RD.RN_TEKST as InvoiceText,
round(RD.CENABD,2) as NETAMOUNTDISCOUNTEXCL, 
nvl(ST.popust,0) as Discount,
round((round(ST.znesek,2)*((100-nvl(ST.popust,0))/100)),2) as NetAmountDiscountINCL,
ST.davek as Tax_rate, 
round(RD.ZN_DAVKA,2) as TaxAmount, 
round(RD.ZNESEK,2) as AmountGSTIncl, 
ST.ID_POGODBE AS Contract_ID,
SM.OPIS Service, 
' '||ST.datum_od as DateFrom,
' '||ST.datum_do as DateTo,
ST.komntar as ServiceComment
FROM SALDKONT S 
JOIN RACUN_DATA RD ON S.ID_SALDKONT=RD.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE ST ON RD.ID_STORITVE=ST.ID_STORITVE
LEFT OUTER JOIN M_NNSTOMAR SM ON ST.STORITEV=SM.SIFRA
LEFT OUTER JOIN KUPCI K ON S.ID_KUPCA=K.ID
WHERE S.ID_BATCH ={?Batch|NUMBER}
; 