DELETE FROM REPORT_SQL WHERE COMPUTER={?Computer};

INSERT INTO REPORT_SQL (COMPUTER, STR1, STR2, NUM1, NUM2, DATE1, DATE2, NUM6)
SELECT {?Computer}, POMOL, OPIS, COUNT(PRIVEZ) PRIVEZI, COUNT(ZASEDENOST) ZASEDENOST, {?From}, {?To},nnlocation_id
FROM (select pomol.naziv POMOL, privez.N_PRIVEZA PRIVEZ,POMOL.NNLOCATION_ID, privez.dolzina,
case when count(ZASEDENOST.rd_id_privez)>0 then 1 ELSE NULL end zasedenost
from NNPOMOL pomol INNER JOIN nnprivez privez 
on privez.kategorija = pomol.sifra
left JOIN v_rezervac zasedenost on zasedenost.rd_id_privez=privez.id_privez
and rd_date_from <={?To} AND rd_date_to>={?From}
? and vrsta ={?P_C}
group by pomol.naziv, privez.N_PRIVEZA, privez.dolzina,pomol.nnlocation_id) ZASEDENOST
LEFT JOIN (
  SELECT 0 DOLE, 10 GORE, '10' OPIS from dual UNION
  SELECT 10.01 DOLE, 12 GORE, '12' OPIS from dual UNION
  SELECT 12.01 DOLE, 15 GORE, '15' OPIS from dual UNION
  SELECT 15.01 DOLE, 18 GORE, '18' OPIS from dual UNION
  SELECT 18.01 DOLE, 23 GORE, '23' OPIS from dual UNION
  SELECT 23.01 DOLE, 99.99 GORE, '23.5' OPIS from dual
) ON DOLZINA BETWEEN DOLE AND GORE 
GROUP BY POMOL, OPIS, nnlocation_id
;

--update REPORT_SQL
--set NUM3=(select count(id_privez) from nnprivez WHERE kategorija=(select sifra from nnpomol where naziv=STR1))
--WHERE COMPUTER={?Computer};

UPDATE REPORT_SQL r1
    SET (NUM3, NUM4, NUM5)=
    (SELECT r2.Total, r2.Zasedenost, CASE WHEN r2.TOTAL=0 THEN 0 ELSE (r2.Zasedenost/r2.TOTAL) *100 END 
FROM (SELECT sum(NUM1) Total, SUM(NUM2) Zasedenost, STR1, COMPUTER
        FROM REPORT_SQL tot
        GROUP BY tot.sTR1, tot.computer) r2 
        WHERE r2.STR1 = r1.STR1 AND r2.COMPUTER = r1.COMPUTER)
WHERE COMPUTER={?Computer}
;