SELECT 
KUPCI.ID AS ID_KUPCA,
KUPCI.INT_CODE AS HRICode,
KUPCI.PRIIMEK AS Surname,
KUPCI.IME AS NAME,
KUPCI.LONG_NAME AS longName,
M_STORITVE.ID_POGODBE AS Contract_ID,
M_NNSTOMAR.OPIS Service, 
' '||m_storitve.datum_od as DateFrom,
' '||m_storitve.datum_do as DateTo,
nvl(m_storitve.popust,0) as Discount,
(round(m_storitve.znesek,2))as NetAmountDiscountEXCL,
round((round(m_storitve.znesek,2)*((100-nvl(m_storitve.popust,0))/100)),2) as NetAmountDiscountINCL,
m_storitve.davek as Tax_rate,
round((round((round(m_storitve.znesek,2)*((100-nvl(m_storitve.popust,0))/100)),2))*(1+m_storitve.davek/100),2) as AmountGSTIncl
FROM M_STORITVE, KUPCI, M_NNSTOMAR  
WHERE M_STORITVE.ID_LASTNIKA= KUPCI.ID (+) 
AND M_STORITVE.STORITEV= M_NNSTOMAR.SIFRA (+)
AND M_STORITVE.ID_BATCH ={?Batch|NUMBER} 
union
SELECT 
KUPCI.ID AS ID_KUPCA,
KUPCI.INT_CODE AS HRICode,
KUPCI.PRIIMEK AS Surname,
KUPCI.IME AS NAME,
KUPCI.LONG_NAME AS longName,
M_STORITVE.ID_POGODBE AS Contract_ID,
M_NNSTOMAR.OPIS Service, 
' '||m_storitve.datum_od as DateFrom,
' '||m_storitve.datum_do as DateTo,
nvl(m_storitve.popust,0) as Discount,
(round(m_storitve.znesek,2))NetAmountDiscountEXCL,
round((round(m_storitve.znesek,2)*((100-nvl(m_storitve.popust,0))/100)),2) as NetAmountDiscountINCL,
m_storitve.davek as Tax_rate,
round((round((round(m_storitve.znesek,2)*((100-nvl(m_storitve.popust,0))/100)),2))*(1+m_storitve.davek/100),2) as AmountGSTIncl
FROM M_STORITVE, KUPCI, M_NNSTOMAR  
WHERE M_STORITVE.ID_LASTNIKA= KUPCI.ID (+) 
AND M_STORITVE.STORITEV= M_NNSTOMAR.SIFRA (+)
AND M_STORITVE.complete <>100
AND M_STORITVE.ID_lastnika in (select id_lastnika from m_storitve where id_BATCH ={?Batch|NUMBER})
;