select max(l.date_created) "DATE", max(case when k.ime is null then k.priimek else k.ime || ' ' || k.priimek end) "CUSTOMER",max(l.product) "INVOICE",max(l.amount) "$ VALUE",max(c.opis) "CC type",max(n.opis) "MARINA" from payment_link l 
left join saldkont s on l.id_saldkont = s.id_saldkont
left join kupci k on s.id_kupca = k.id 
left join nnlocation n on s.nnlocation_id = n.id 
left join saldkont_zap z on s.id_saldkont = z.id_saldkont 
left join saldkont s1 on z.id_pl_saldkont = s1.id_saldkont left join money m on s1.id_exchange = m.id_menjave
left join nncards c on m.id_cards = c.id_cards 
where l.request_type = 'INVOICE' and l.status = 1
group by s.id_Saldkont,l.date_created
order by l.date_created;