SELECT ' ' ||S_DOKUMENT.DATUM"Date", S_ARTIKLI.NAZIV1"Material", 
' '||round(S_PROMET.CENA_SKL,2)"Cost Price", ' ' ||S_PROMET.KOLICINA"Quantity",
 ' ' ||SALDKONT.N_RACUNA"Invoice Ref.", ' ' ||round(S_PROMET.CENA_SKL*S_PROMET.KOLICINA,2)"Total cost"
 FROM   ((("S_DOKUMENT" "S_DOKUMENT" LEFT OUTER JOIN "S_PROMET" "S_PROMET" ON "S_DOKUMENT"."ID_DOKUMENT"="S_PROMET"."ID_DOKUMENT") 
 LEFT OUTER JOIN "M_DE_NA" "M_DE_NA" ON "S_DOKUMENT"."DEL_NALOG"="M_DE_NA"."ID_DN") 
 LEFT OUTER JOIN "KUPCI" "KUPCI" ON "M_DE_NA"."ID_LASTNIKA"="KUPCI"."ID")
 LEFT OUTER JOIN S_OBRACUN ON S_OBRACUN.ID_PROMET=S_PROMET.ID_PROMET
 LEFT OUTER JOIN RACUN_DATA ON RACUN_DATA.ID_OBRACUN=S_OBRACUN.ID_OBRACUN
 LEFT OUTER JOIN SALDKONT ON SALDKONT.ID_SALDKONT=RACUN_DATA.ID_SALDKONT
 INNER JOIN "S_ARTIKLI" "S_ARTIKLI" ON "S_PROMET"."ID_ARTIKEL"="S_ARTIKLI"."ID_ARTIKEL"
 WHERE  "S_DOKUMENT"."TIP"='I'
AND
S_DOKUMENT.DATUM >= {?From|DATE} and S_DOKUMENT.DATUM <= {?To|DATE}
 ORDER BY "S_DOKUMENT"."ID_DOKUMENT";